Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509.sigi
Interface SigIObjectIdentifiers

public interface SigIObjectIdentifiers

Object Identifiers of SigI specifciation (German Signature Law Interoperability specification).

Field Summary
`static ASN1ObjectIdentifier` | `id_sigi` OID: 1.3.36.8
`static ASN1ObjectIdentifier` | `id_sigi_cp` Certificate policy IDs for German SigI (Signature Interoperability Specification) OID: 1.3.36.8.1
`static ASN1ObjectIdentifier` | `id_sigi_cp_sigconform` Certificate is conformant to german signature law.
`static ASN1ObjectIdentifier` | `id_sigi_kp` Key purpose IDs for German SigI (Signature Interoperability Specification) OID: 1.3.36.8.2
`static ASN1ObjectIdentifier` | `id_sigi_kp_directoryService` To be used for for the generation of directory service certificates.
`static ASN1ObjectIdentifier` | `id_sigi_on` Other Name IDs for German SigI (Signature Interoperability Specification) OID: 1.3.36.8.4
`static ASN1ObjectIdentifier` | `id_sigi_on_personalData` ID for PersonalData OID: 1.3.36.8.4.1

Field Detail

### id_sigi

    public static final ASN1ObjectIdentifier id_sigi

  OID: 1.3.36.8

### id_sigi_kp

    public static final ASN1ObjectIdentifier id_sigi_kp

  Key purpose IDs for German SigI (Signature Interoperability Specification)

  OID: 1.3.36.8.2

### id_sigi_cp

    public static final ASN1ObjectIdentifier id_sigi_cp

  Certificate policy IDs for German SigI (Signature Interoperability Specification)

  OID: 1.3.36.8.1

### id_sigi_on

    public static final ASN1ObjectIdentifier id_sigi_on

  Other Name IDs for German SigI (Signature Interoperability Specification)

  OID: 1.3.36.8.4

### id_sigi_kp_directoryService

    public static final ASN1ObjectIdentifier id_sigi_kp_directoryService

  To be used for for the generation of directory service certificates.

  OID: 1.3.36.8.2.1

### id_sigi_on_personalData

    public static final ASN1ObjectIdentifier id_sigi_on_personalData

  ID for PersonalData

  OID: 1.3.36.8.4.1

### id_sigi_cp_sigconform

    public static final ASN1ObjectIdentifier id_sigi_cp_sigconform

  Certificate is conformant to german signature law.

  OID: 1.3.36.8.1.1

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD